dbplus_rchperm
dbplus_rcrtexact
DB++ Functions
PHP Manual

# dbplus_rcreate

Creates a new DB++ relation

### Description

resource dbplus_rcreate ( string `$name` , mixed `$domlist` [, bool `$overwrite` ] )

Creates a new relation. Any existing relation sharing the same `name` will be overwritten if the relation is currently not in use and `overwrite` is set to TRUE.

### Parameters

`name`

`domlist`

  A combination of domains. May be passed as a single domain name string or as an array of domain names.

  This parameter should contain the domain specification for the new relation within an array of domain description strings. A domain description string consists of a domain name unique to this relation, a slash and a type specification character. See the db++ documentation, especially the dbcreate(1) manpage, for a description of available type specifiers and their meanings.

  > Note:

  > This function will also accept a string with space delimited domain description strings, but it is recommended to use an array

`overwrite`

### Return Values

### Notes

Warning

This function is EXPERIMENTAL. The behaviour of this function, its name, and surrounding documentation may change without notice in a future release of PHP. This function should be used at your own risk.